Search states
curl --request POST \
--url https://api.companyenrich.com/geo/states \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"countryCodes": [
"<string>"
],
"page": 123
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', countryCodes: ['<string>'], page: 123})
};
fetch('https://api.companyenrich.com/geo/states', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.companyenrich.com/geo/states"
payload = {
"query": "<string>",
"countryCodes": ["<string>"],
"page": 123
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"items": [
{
"id": 123,
"name": "<string>",
"code": "<string>",
"latitude": 123,
"longitude": 123
}
],
"page": 123,
"totalPages": 123,
"totalItems": 123
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Geo
Search states
Searches states by name or country codes. Returns up to 100 states per page.
POST
/
geo
/
states
Search states
curl --request POST \
--url https://api.companyenrich.com/geo/states \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"countryCodes": [
"<string>"
],
"page": 123
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', countryCodes: ['<string>'], page: 123})
};
fetch('https://api.companyenrich.com/geo/states', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.companyenrich.com/geo/states"
payload = {
"query": "<string>",
"countryCodes": ["<string>"],
"page": 123
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"items": [
{
"id": 123,
"name": "<string>",
"code": "<string>",
"latitude": 123,
"longitude": 123
}
],
"page": 123,
"totalPages": 123,
"totalItems": 123
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
API Token used for authentication. Example: "Authorization: Bearer {token}"
Body
application/json